/*
  Este eh um modelo que descreve a implementacao dos jogadores. Ao
  contrario do que ocorreu com as implementacoes em lisp e prolog, os
  jogadores em java podem ser implementados com a utilizacao de mais
  de um arquivo, que devem ser compactados no formato ".zip" antes de
  serem enviados ao campeonato.

  Este modelo eh composto de quatro arquivos:

     - EmptyPlayer.java
     - EmptyPosition.java
     - EmptyMove.java
     - EmptyBoard.java

  Recomenda-se que voce leia todos os arquivos antes de comecar a
  implementacao
 */

import unicamp.ic.mc336.definitions.MoveInterface;
import unicamp.ic.mc336.definitions.PositionInterface;

/*
 Por favor, preencha os campos solicitados abaixo (sem acentos):

 Nome:
 RA:
*/

/*
  A interface "MoveInterface" define o modo como as jogadas so
  realizadas. Em Space Footbal, um movimento eh simplesmente a passagem de
  uma peca de uma posicao a outra. Dessa forma, uma classe "Move", que
  implementa "MoveInterface", tem o comportamento de informar a
  posicao inicial e final de uma peca.

  A criacao de uma classe que implemente "MoveInterface" eh
  obrigatoria para o bom funcionamento do seu jogador no campeonato.
*/

public class EmptyMove implements MoveInterface {
    /*
      Insira aqui os atributos da classe
     */


    /*
      Metodo que indica a posicao da peca antes da jogada
     */
    public PositionInterface getFromPosition(){
	/*
	  Insira seu codigo aqui
	*/	
	return null;
    }
    
    /*
      Metodo que indica a posicao da peca depois da jogada
     */
    public PositionInterface getToPosition(){
	/*
	  Insira seu codigo aqui
	*/	
	return null;
    }

}
