/*
  Este eh um modelo que descreve a implementacao dos jogadores. Ao
  contrario do que ocorreu com as implementacoes em lisp e prolog, os
  jogadores em java podem ser implementados com a utilizacao de mais
  de um arquivo, que devem ser compactados no formato ".zip" antes de
  serem enviados ao campeonato.

  Este modelo eh composto de quatro arquivos:

     - EmptyPlayer.java
     - EmptyPosition.java
     - EmptyMove.java
     - EmptyBoard.java

  Recomenda-se que voce leia todos os arquivos antes de comecar a
  implementacao
 */

import unicamp.ic.mc336.definitions.BoardInterface;
import unicamp.ic.mc336.definitions.PositionInterface;

/*
 Por favor, preencha os campos solicitados abaixo (sem acentos):

 Nome:
 RA:
*/

/*
  A interface "BoardInterface" eh utilizada pelo campeonato para
  informar a configuracao do tabuleiro. A criacao de uma classe
  "Board", que implementa "BoardInterface", eh opcional, pois o
  jogador poderah acessar as informacoes enviadas pelo campeonato
  utilizando apenas a propria interface.

  Por outro lado, recomenda-se fortemente que voce implemente uma
  classe "Board" e acrescente metodos para atualizacao do tabuleiro,
  que seriam usados durante as suas jogadas e durante as jogadas do
  adversario.

  Outras funcionalidades interessantes na classe "Board" seriam:
  fornecer a sua peca ou a peca do adversario mais proxima do fim do
  tabuleiro, pecas que possuem caminho livre ate o final do tabuleiro
  ou varias outras informacoes que possam ajudar a criar uma boa
  estrategia. Vale ressaltar que nao seria uma boa pratica de
  programacao criar tais funcionalidades diretamente na classe
  "Player".
 */

public class EmptyBoard implements BoardInterface {
    /*
      Insira aqui os atributos da classe
     */


    /*
      Retorna a quantidade de linhas do tabuleiro
     */
    public int getLines(){
	/*
	  Insira seu codigo aqui
	*/	
	return -1;
    }

    /*
      Retorna a quantidade de colunas do tabuleiro
     */
    public int getColumns(){
	/*
	  Insira seu codigo aqui
	*/
	return -1;
    }

    /*
      Retorna a posicao da bola
     */
    public PositionInterface getBallPosition(){
	/*
	  Insira seu codigo aqui
	*/
	return null;
    }

    /*
      Retorna um array contendo as posicoes das pecas azuis (suas
      pecas)
     */
    public PositionInterface[] getBluePositions(){
	/*
	  Insira seu codigo aqui
	*/
	return null;
    }

    /*
      Retorna um array contendo as posicoes das pecas vermelhas (pecas de
      seu oponente)
     */
    public PositionInterface[] getRedPositions() {
	/*
	  Insira seu codigo aqui
	*/
	return null;
    }
}